# 光线检测SDK集成文档
#### version: v1.6 (SDK版本号)

## 1. SDK说明
   QNDoraKit 是一款包括：人脸检测，光线检测以及对应 UI 页面的智能活体检测 SDK。

### 1.1 支持系统版本
* ios版本要求>=ios10.0

## 2. SDK的集成
1,拖拽FlashLiveDetect.framework文件到Xcode工程内(请勾选Copy items if needed选项)
2,拖拽QNDoraKit.framework文件到Xcode工程内(请勾选Copy items if needed选项)
3,添加图片资源models.bundle:wbbg1.png，wbbg2.png，wbbg3.png，wbbg4.png，wbbg5.png
4,拖拽 client.cer 证书文件到 Xcode 工程内(请勾选 Copy items if needed 选项)
## 3. 调试系统
日志配置默认开启
```
- (void)openDebug:(BOOL)debug;
```

## 4. 快速开始
### 4.1 人脸检测
#### 4.1.1 初始化核心对象
```Objective-C
//创建 QNMediaFaceCheck 对象
@property (nonatomic, strong)QNMediaFaceCheck * mediaFaceCheck;

//NMediaFaceCheck 赋值
self.mediaFaceCheck = [QNMediaFaceCheck shared];
```

#### 4.1.2初始化

```Objective-C
self.backView = [[UIView alloc] initWithFrame: self.view.bounds];
[self.mediaFaceCheck configWithView:self.backView];
[self.view addSubview:self.backView];
```

#### 4.1.3开始检测

```Objective-C
[self.mediaFaceCheck startWithToken:@"your token" taskId:@"your taskId" UserName:@"your name" idCard:@"your idCard"];
```

#### 4.1.4停止检测

```Objective-C
[self.mediaFaceCheck stop];
```

#### 4.1.5销毁

```Objective-C
[self.mediaFaceCheck destroy];
```

#### 4.1.6获取检测结果

```Objective-C
- (void)MediaFaceCheck:(QNMediaFaceCheck *)mediaFaceCheck didGetDetectResult:(NSDictionary *)resultDic error:(NSError *)error {
    NSLog(@"MediaFaceCheck:didGetDetectResult:%@ error:%@",resultDic,error);
    dispatch_async(dispatch_get_main_queue(), ^{
        UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:@"结果" message:[NSString stringWithFormat:@"result: %@ \nerror:%@",resultDic,error] delegate:nil cancelButtonTitle:@"知道了" otherButtonTitles:nil];
        [alertView show];
    });
}
```

### 4.2 光线检测
#### 4.2.1 初始化核心对象
```Objective-C
//创建 QNMediaFlashLiveDetection 对象
@property (nonatomic, strong)QNMediaFlashLiveDetection * flashLiveDetection;

//QNMediaFlashLiveDetection 赋值
self.flashLiveDetection = [QNMediaFlashLiveDetection shared];
```
#### 4.2.2 初始化

```Objective-C
self.backView = [[UIView alloc] initWithFrame: self.view.bounds];
[self.flashLiveDetection configWithView:self.backView];
[self.view addSubview:self.backView];
```

#### 4.2.3 开始检测

```Objective-C
[self.flashLiveDetection startWithToken:@"your token" taskId:@"your taskId"];
```

#### 4.2.4 停止检测

```Objective-C
[self.flashLiveDetection stop];
```

#### 4.2.5 销毁

```Objective-C
[self.flashLiveDetection destroy];
```

#### 4.2.6 获取检测结果

```Objective-C
- (void)MediaFlashLiveDetection:(QNMediaFlashLiveDetection *)mediaFlashLiveDetection didGetDetectResult:(NSDictionary *)resultDic{
    NSLog(@"MediaFlashLiveDetection:didGetDetectResult:%@",resultDic);
    dispatch_async(dispatch_get_main_queue(), ^{
        UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:@"结果" message:[NSString stringWithFormat:@"result: %@",resultDic] delegate:nil cancelButtonTitle:@"知道了" otherButtonTitles:nil];
        [alertView show];
    });
}
```
